## blender 2.80+dfsg

=== CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
# ***** END GPL LICENSE BLOCK *****

#-----------------------------------------------------------------------------
# We don't allow in-source builds. This causes no end of troubles because
# all out-of-source builds will use the CMakeCache.txt file there and even
# build the libs and objects in it.

if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
  if(NOT DEFINED WITH_IN_SOURCE_BUILD)
    message(FATAL_ERROR
      "CMake generation for blender is not allowed within the source directory!"
      "\n Remove \"${CMAKE_SOURCE_DIR}/CMakeCache.txt\" and try again from another folder, e.g.:"
      "\n "
      "\n rm CMakeCache.txt"
      "\n cd .."
      "\n mkdir cmake-make"
      "\n cd cmake-make"
      "\n cmake ../blender"
      "\n "
      "\n Alternately define WITH_IN_SOURCE_BUILD to force this option (not recommended!)"
    )
  endif()
endif()

cmake_minimum_required(VERSION 3.5)

# Prever LEGACY OpenGL to eb compatible with all the existing releases and
# platforms which don't hare GLVND yet. Only do it if preference was not set
# externally.
if(NOT DEFINED OpenGL_GL_PREFERENCE)
  set(OpenGL_GL_PREFERENCE "LEGACY")
endif()

if(NOT EXECUTABLE_OUTPUT_PATH)
  set(FIRST_RUN TRUE)
else()
  set(FIRST_RUN FALSE)
endif()

# this starts out unset
list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/build_files/cmake/Modules")
list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/build_files/cmake/platform")

# avoid having empty buildtype
if(NOT DEFINED CMAKE_BUILD_TYPE_INIT)
  set(CMAKE_BUILD_TYPE_INIT "Release")
endif()

# Omit superfluous "Up-to-date" messages.
if(NOT DEFINED CMAKE_INSTALL_MESSAGE)
  set(CMAKE_INSTALL_MESSAGE "LAZY")
endif()

# quiet output for Makefiles, 'make -s' helps too
# set_property(GLOBAL PROPERTY RULE_MESSAGES OFF)

# global compile definitions since add_definitions() adds for all.
set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS
  $<$<CONFIG:Debug>:DEBUG;_DEBUG>
  $<$<CONFIG:Release>:NDEBUG>
  $<$<CONFIG:MinSizeRel>:NDEBUG>
  $<$<CONFIG:RelWithDebInfo>:NDEBUG>
)

#-----------------------------------------------------------------------------
# Set policy

# see "cmake --help-policy CMP0003"
# So library linking is more sane
cmake_policy(SET CMP0003 NEW)

# So BUILDINFO and BLENDERPATH strings are automatically quoted
cmake_policy(SET CMP0005 NEW)

# So syntax problems are errors
cmake_policy(SET CMP0010 NEW)

# Input directories must have CMakeLists.txt
cmake_policy(SET CMP0014 NEW)

#-----------------------------------------------------------------------------
# Load some macros.
include(build_files/cmake/macros.cmake)


#-----------------------------------------------------------------------------
# Initialize project.

blender_project_hack_pre()

project(Blender)

blender_project_hack_post()

enable_testing()

#-----------------------------------------------------------------------------
# Redirect output files

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin CACHE INTERNAL "" FORCE)
set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib CACHE INTERNAL "" FORCE)
if(MSVC)
  set(TESTS_OUTPUT_DIR ${EXECUTABLE_OUTPUT_PATH}/tests/$<CONFIG>/ CACHE INTERNAL "" FORCE)
else()
  set(TESTS_OUTPUT_DIR ${EXECUTABLE_OUTPUT_PATH}/tests/ CACHE INTERNAL "" FORCE)
endif()

#-----------------------------------------------------------------------------
# Set default config options

get_blender_version()


#-----------------------------------------------------------------------------
# Platform Specific Defaults

# list of var-names
set(_init_vars)

# initialize to ON
macro(option_defaults_init)
  foreach(_var ${ARGV})
    set(${_var} ON)
    list(APPEND _init_vars "${_var}")
  endforeach()
  unset(_var)
endmacro()

# remove from namespace
macro(option_defaults_clear)
  foreach(_var ${_init_vars})
    unset(${_var})
  endforeach()
  unset(_var)
  unset(_init_vars)
endmacro()


# values to initialize WITH_****
option_defaults_init(
  _init_BUILDINFO
  _init_CODEC_FFMPEG
  _init_CYCLES_OSL
  _init_IMAGE_OPENEXR
  _init_INPUT_NDOF
  _init_JACK
  _init_OPENCOLLADA
  _init_OPENCOLORIO
  _init_SDL
  _init_FFTW3
  _init_OPENSUBDIV
)

# customize...
if(UNIX AND NOT APPLE)
  # some of these libraries are problematic on Linux
  # disable less important dependencies by default
  set(_init_CODEC_FFMPEG                   OFF)
  set(_init_CYCLES_OSL                     OFF)
  set(_init_IMAGE_OPENEXR                  OFF)
  set(_init_JACK                           OFF)
  set(_init_OPENCOLLADA                    OFF)
  set(_init_OPENCOLORIO                    OFF)
  set(_init_SDL                            OFF)
  set(_init_FFTW3                          OFF)
  set(_init_OPENSUBDIV                     OFF)
elseif(WIN32)
  set(_init_JACK                           OFF)
elseif(APPLE)
  set(_init_JACK                           OFF)
endif()


#-----------------------------------------------------------------------------
# Options

# First platform specific non-cached vars
if(UNIX AND NOT (APPLE OR HAIKU))
  set(WITH_X11 ON)
endif()

# Blender internal features
option(WITH_BLENDER "Build blender (disable to build only the blender player)" ON)
mark_as_advanced(WITH_BLENDER)

option(WITH_INTERNATIONAL "Enable I18N (International fonts and text)" ON)

option(WITH_PYTHON        "Enable Embedded Python API  (only disable for development)" ON)
option(WITH_PYTHON_SECURITY "Disables execution of scripts within blend files by default" ON)
mark_as_advanced(WITH_PYTHON)  # don't want people disabling this unless they really know what they are doing.
mark_as_advanced(WITH_PYTHON_SECURITY)  # some distributions see this as a security issue, rather than have them patch it, make a build option.

option(WITH_PYTHON_SAFETY "Enable internal API error checking to track invalid data to prevent crash on access (at the expense of some efficiency, only enable for development)." OFF)
mark_as_advanced(WITH_PYTHON_SAFETY)
option(WITH_PYTHON_MODULE "Enable building as a python module which runs without a user interface, like running regular blender in background mode (experimental, only enable for development), installs to PYTHON_SITE_PACKAGES (or CMAKE_INSTALL_PREFIX if WITH_INSTALL_PORTABLE is enabled)." OFF)
if(APPLE)
  option(WITH_PYTHON_FRAMEWORK "Enable building using the Python available in the framework (OSX only)" OFF)
endif()

option(WITH_BUILDINFO     "Include extra build details (only disable for development & faster builds)" ${_init_BUILDINFO})
if(${CMAKE_VERSION} VERSION_LESS 2.8.8)
  # add_library OBJECT arg unsupported
  set(WITH_BUILDINFO OFF)
endif()
set(BUILDINFO_OVERRIDE_DATE "" CACHE STRING "Use instead of the current date for reproducible builds (empty string disables this option)")
set(BUILDINFO_OVERRIDE_TIME "" CACHE STRING "Use instead of the current time for reproducible builds (empty string disables this option)")
set(CPACK_OVERRIDE_PACKAGENAME "" CACHE STRING "Use instead of the standard packagename (empty string disables this option)")
mark_as_advanced(CPACK_OVERRIDE_PACKAGENAME)
mark_as_advanced(BUILDINFO_OVERRIDE_DATE)
mark_as_advanced(BUILDINFO_OVERRIDE_TIME)

option(WITH_IK_ITASC      "Enable ITASC IK solver (only disable for development & for incompatible C++ compilers)" ON)
option(WITH_IK_SOLVER     "Enable Legacy IK solver (only disable for development)" ON)
option(WITH_FFTW3         "Enable FFTW3 support (Used for smoke, ocean sim, and audio effects)" ${_init_FFTW3})
option(WITH_BULLET        "Enable Bullet (Physics Engine)" ON)
option(WITH_SYSTEM_BULLET "Use the systems bullet library (currently unsupported due to missing features in upstream!)" )
mark_as_advanced(WITH_SYSTEM_BULLET)
option(WITH_OPENCOLORIO   "Enable OpenColorIO color management" ${_init_OPENCOLORIO})

# Compositor
option(WITH_COMPOSITOR         "Enable the tile based nodal compositor" ON)

option(WITH_OPENSUBDIV    "Enable OpenSubdiv for surface subdivision" ${_init_OPENSUBDIV})

option(WITH_OPENVDB       "Enable features relying on OpenVDB" OFF)
option(WITH_OPENVDB_BLOSC "Enable blosc compression for OpenVDB, only enable if OpenVDB was built with blosc support" OFF)
option(WITH_OPENVDB_3_ABI_COMPATIBLE "Assume OpenVDB library has been compiled with version 3 ABI compatibility" OFF)
mark_as_advanced(WITH_OPENVDB_3_ABI_COMPATIBLE)

# GHOST Windowing Library Options
option(WITH_GHOST_DEBUG   "Enable debugging output for the GHOST library" OFF)
mark_as_advanced(WITH_GHOST_DEBUG)

option(WITH_GHOST_SDL    "Enable building Blender against SDL for windowing rather than the native APIs" OFF)
mark_as_advanced(WITH_GHOST_SDL)

if(WITH_X11)
  option(WITH_GHOST_XDND    "Enable drag'n'drop support on X11 using XDND protocol" ON)
endif()

# Misc...
option(WITH_HEADLESS      "Build without graphical support (renderfarm, server mode only)" OFF)
mark_as_advanced(WITH_HEADLESS)

option(WITH_AUDASPACE    "Build with blenders audio library (only disable if you know what you're doing!)" ON)
option(WITH_SYSTEM_AUDASPACE "Build with external audaspace library installed on the system (only enable if you know what you're doing!)" OFF)
mark_as_advanced(WITH_AUDASPACE)
mark_as_advanced(WITH_SYSTEM_AUDASPACE)

if(NOT WITH_AUDASPACE)
  set(WITH_SYSTEM_AUDASPACE OFF)
endif()

option(WITH_OPENMP        "Enable OpenMP (has to be supported by the compiler)" ON)
if(UNIX AND NOT APPLE)
  option(WITH_OPENMP_STATIC "Link OpenMP statically (only used by the release environment)" OFF)
  mark_as_advanced(WITH_OPENMP_STATIC)
endif()

if(WITH_X11)
  option(WITH_X11_XINPUT    "Enable X11 Xinput (tablet support and unicode input)"  ON)
  option(WITH_X11_XF86VMODE "Enable X11 video mode switching"                       ON)
  option(WITH_X11_XFIXES    "Enable X11 XWayland cursor warping workaround"         ON)
  option(WITH_X11_ALPHA     "Enable X11 transparent background"                     ON)
endif()

if(UNIX AND NOT APPLE)
  option(WITH_SYSTEM_GLEW "Use GLEW OpenGL wrapper library provided by the operating system" OFF)
  option(WITH_SYSTEM_GLES "Use OpenGL ES library provided by the operating system"           ON)
else()
  # not an option for other OS's
  set(WITH_SYSTEM_GLEW OFF)
  set(WITH_SYSTEM_GLES OFF)
endif()


if(UNIX AND NOT APPLE)
  option(WITH_SYSTEM_EIGEN3 "Use the systems Eigen3 library" OFF)
endif()


# Modifiers
option(WITH_MOD_FLUID           "Enable Elbeem Modifier (Fluid Simulation)" ON)
option(WITH_MOD_SMOKE           "Enable Smoke Modifier (Smoke Simulation)" ON)
option(WITH_MOD_REMESH          "Enable Remesh Modifier" ON)
# option(WITH_MOD_CLOTH_ELTOPO    "Enable Experimental cloth solver" OFF)  # this is now only available in a branch
# mark_as_advanced(WITH_MOD_CLOTH_ELTOPO)
option(WITH_MOD_OCEANSIM        "Enable Ocean Modifier" OFF)

# Image format support
option(WITH_OPENIMAGEIO         "Enable OpenImageIO Support (http://www.openimageio.org)" ON)
option(WITH_IMAGE_OPENEXR       "Enable OpenEXR Support (http://www.openexr.com)" ${_init_IMAGE_OPENEXR})
option(WITH_IMAGE_OPENJPEG      "Enable OpenJpeg Support (http://www.openjpeg.org)" ON)
option(WITH_IMAGE_TIFF          "Enable LibTIFF Support" ON)
option(WITH_IMAGE_DDS           "Enable DDS Image Support" ON)

=== intern/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
# ***** END GPL LICENSE BLOCK *****

# add_subdirectory(atomic)  # header only
add_subdirectory(clog)
add_subdirectory(string)
add_subdirectory(ghost)
add_subdirectory(guardedalloc)
add_subdirectory(libmv)
add_subdirectory(memutil)
add_subdirectory(numaapi)
add_subdirectory(opencolorio)
add_subdirectory(opensubdiv)
add_subdirectory(mikktspace)
add_subdirectory(glew-mx)
add_subdirectory(eigen)

if(WITH_AUDASPACE)
  add_subdirectory(audaspace)
endif()

if(WITH_MOD_REMESH)
  add_subdirectory(dualcon)
endif()

if(WITH_MOD_FLUID)
  add_subdirectory(elbeem)
endif()

if(WITH_MOD_SMOKE)
  add_subdirectory(smoke)
endif()

if(WITH_IK_SOLVER)
  add_subdirectory(iksolver)
endif()

if(WITH_IK_ITASC)
  add_subdirectory(itasc)
endif()

if(WITH_CYCLES)
  add_subdirectory(cycles)
endif()

if(WITH_INTERNATIONAL)
  add_subdirectory(locale)
endif()

if(WITH_BULLET)
  add_subdirectory(rigidbody)
endif()

# only windows needs utf16 converter
if(WIN32)
  add_subdirectory(utfconv)
endif()

if(WITH_OPENVDB)
  add_subdirectory(openvdb)
endif()

=== tests/CMakeLists.txt ===

# Python CTests
if(WITH_BLENDER AND WITH_PYTHON)
  add_subdirectory(python)
endif()

# GTest
add_subdirectory(gtests)

=== build_files/build_environment/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# ***** END GPL LICENSE BLOCK *****

####################################################################################################
#
# This is a build system used by platform maintainers to build library dependencies on
# Windows, macOS and Linux.
#
# For users building Blender, we recommend using the precompiled libraries from lib/ on
# Windows and macOS, and install_deps.sh on Linux.
#
# WINDOWS USAGE:
#   Don't call this cmake file yourself, use build_deps.cmd
#   build_deps 2013 x64 / build_deps 2013 x86
#   build_deps 2015 x64 / build_deps 2015 x86
#
# MAC OS X USAGE:
#   Install with homebrew: brew install cmake autoconf automake libtool yasm nasm
#   Run "make deps" from main Blender directory
#
# LINUX USAGE:
#   Install compiler cmake autoconf automake libtool yasm nasm tcl
#   Run "make deps" from main Blender directory
#
####################################################################################################

project("BlenderDependencies")
cmake_minimum_required(VERSION 3.5)

include(ExternalProject)
include(cmake/options.cmake)
include(cmake/versions.cmake)

if(ENABLE_MINGW64)
  if("${CMAKE_SIZEOF_VOID_P}" EQUAL "8")
    include(cmake/setup_mingw64.cmake)
  else()
    include(cmake/setup_mingw32.cmake)
  endif()
else()
  set(mingw_LIBDIR ${LIBDIR})
endif()

include(cmake/zlib.cmake)
include(cmake/blendthumb.cmake)
include(cmake/openal.cmake)
include(cmake/png.cmake)
include(cmake/jpeg.cmake)
include(cmake/boost.cmake)
include(cmake/blosc.cmake)
include(cmake/pthreads.cmake)
include(cmake/ilmbase.cmake)
include(cmake/openexr.cmake)
include(cmake/freetype.cmake)
include(cmake/freeglut.cmake)
include(cmake/glew.cmake)
include(cmake/alembic.cmake)
include(cmake/glfw.cmake)
include(cmake/clew.cmake)
include(cmake/cuew.cmake)
include(cmake/opensubdiv.cmake)
include(cmake/sdl.cmake)
include(cmake/opencollada.cmake)
include(cmake/opencolorio.cmake)
include(cmake/llvm.cmake)
include(cmake/clang.cmake)
if(APPLE)
  include(cmake/openmp.cmake)
endif()
include(cmake/openimageio.cmake)
include(cmake/tiff.cmake)
include(cmake/flexbison.cmake)
include(cmake/osl.cmake)
include(cmake/tbb.cmake)
include(cmake/openvdb.cmake)
include(cmake/python.cmake)
include(cmake/python_site_packages.cmake)
include(cmake/numpy.cmake)
if(UNIX AND NOT APPLE)
  # Rely on PugiXML compiled with OpenImageIO
else()
  include(cmake/pugixml.cmake)
endif()

if(WITH_WEBP)
  include(cmake/webp.cmake)
endif()

if(WITH_EMBREE)
  include(cmake/embree.cmake)
endif()

if(WIN32)
  # HMD branch deps
  include(cmake/hidapi.cmake)
  # OCIO deps
  include(cmake/tinyxml.cmake)
  include(cmake/yamlcpp.cmake)
  # LCMS is an OCIO dep, but only if you build the apps, leaving it here for convenience
  #include(cmake/lcms.cmake)

endif()

if(NOT WIN32 OR ENABLE_MINGW64)
  include(cmake/openjpeg.cmake)
  if(NOT WIN32 OR BUILD_MODE STREQUAL Release)
    if(WIN32)
      include(cmake/zlib_mingw.cmake)
    endif()
    include(cmake/lame.cmake)
    include(cmake/ogg.cmake)
    include(cmake/vorbis.cmake)
    include(cmake/theora.cmake)
    include(cmake/vpx.cmake)
    include(cmake/x264.cmake)
    include(cmake/xvidcore.cmake)
    include(cmake/faad.cmake)
    include(cmake/ffmpeg.cmake)
    include(cmake/fftw.cmake)
    include(cmake/sndfile.cmake)
    if(WIN32)
      include(cmake/iconv.cmake)
    endif()
    if(UNIX)
      include(cmake/flac.cmake)
      include(cmake/xml2.cmake)
      if(NOT APPLE)
        include(cmake/spnav.cmake)
        include(cmake/jemalloc.cmake)
      endif()
    endif()
  endif()
endif()

if(UNIX)
  include(cmake/bzip2.cmake)
  include(cmake/ffi.cmake)
  include(cmake/lzma.cmake)
  include(cmake/ssl.cmake)
  include(cmake/sqlite.cmake)
endif()

include(cmake/harvest.cmake)

=== extern/ceres/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2012, Blender Foundation
# All rights reserved.
# ***** END GPL LICENSE BLOCK *****

# NOTE: This file is automatically generated by bundle.sh script
#       If you're doing changes in this file, please update template
#       in that script too

set(INC
  .
  include
  internal
  config
  ../gflags/src
)

set(INC_SYS
  ${EIGEN3_INCLUDE_DIRS}
  ${GFLAGS_INCLUDE_DIRS}
  ${GLOG_INCLUDE_DIRS}
)

set(SRC
  internal/ceres/array_utils.cc
  internal/ceres/blas.cc
  internal/ceres/block_evaluate_preparer.cc
  internal/ceres/block_jacobian_writer.cc
  internal/ceres/block_jacobi_preconditioner.cc
  internal/ceres/block_random_access_dense_matrix.cc
  internal/ceres/block_random_access_diagonal_matrix.cc
  internal/ceres/block_random_access_matrix.cc
  internal/ceres/block_random_access_sparse_matrix.cc
  internal/ceres/block_sparse_matrix.cc
  internal/ceres/block_structure.cc
  internal/ceres/callbacks.cc
  internal/ceres/c_api.cc
  internal/ceres/cgnr_solver.cc
  internal/ceres/compressed_col_sparse_matrix_utils.cc
  internal/ceres/compressed_row_jacobian_writer.cc
  internal/ceres/compressed_row_sparse_matrix.cc
  internal/ceres/conditioned_cost_function.cc
  internal/ceres/conjugate_gradients_solver.cc
  internal/ceres/coordinate_descent_minimizer.cc
  internal/ceres/corrector.cc
  internal/ceres/covariance.cc
  internal/ceres/covariance_impl.cc
  internal/ceres/dense_normal_cholesky_solver.cc
  internal/ceres/dense_qr_solver.cc
  internal/ceres/dense_sparse_matrix.cc
  internal/ceres/detect_structure.cc
  internal/ceres/dogleg_strategy.cc
  internal/ceres/dynamic_compressed_row_jacobian_writer.cc
  internal/ceres/dynamic_compressed_row_sparse_matrix.cc
  internal/ceres/evaluator.cc
  internal/ceres/file.cc
  internal/ceres/generated/partitioned_matrix_view_d_d_d.cc
  internal/ceres/generated/schur_eliminator_d_d_d.cc
  internal/ceres/gradient_checker.cc
  internal/ceres/gradient_checking_cost_function.cc
  internal/ceres/gradient_problem.cc
  internal/ceres/gradient_problem_solver.cc
  internal/ceres/implicit_schur_complement.cc
  internal/ceres/is_close.cc
  internal/ceres/iterative_schur_complement_solver.cc
  internal/ceres/lapack.cc
  internal/ceres/levenberg_marquardt_strategy.cc
  internal/ceres/linear_least_squares_problems.cc
  internal/ceres/linear_operator.cc
  internal/ceres/linear_solver.cc
  internal/ceres/line_search.cc
  internal/ceres/line_search_direction.cc
  internal/ceres/line_search_minimizer.cc
  internal/ceres/line_search_preprocessor.cc
  internal/ceres/local_parameterization.cc
  internal/ceres/loss_function.cc
  internal/ceres/low_rank_inverse_hessian.cc
  internal/ceres/minimizer.cc
  internal/ceres/normal_prior.cc
  internal/ceres/parameter_block_ordering.cc
  internal/ceres/partitioned_matrix_view.cc
  internal/ceres/polynomial.cc
  internal/ceres/preconditioner.cc
  internal/ceres/preprocessor.cc
  internal/ceres/problem.cc
  internal/ceres/problem_impl.cc
  internal/ceres/program.cc
  internal/ceres/reorder_program.cc
  internal/ceres/residual_block.cc
  internal/ceres/residual_block_utils.cc
  internal/ceres/schur_complement_solver.cc
  internal/ceres/schur_eliminator.cc
  internal/ceres/schur_jacobi_preconditioner.cc
  internal/ceres/scratch_evaluate_preparer.cc
  internal/ceres/solver.cc
  internal/ceres/solver_utils.cc
  internal/ceres/sparse_matrix.cc
  internal/ceres/sparse_normal_cholesky_solver.cc
  internal/ceres/split.cc
  internal/ceres/stringprintf.cc
  internal/ceres/triplet_sparse_matrix.cc
  internal/ceres/trust_region_minimizer.cc
  internal/ceres/trust_region_preprocessor.cc
  internal/ceres/trust_region_step_evaluator.cc
  internal/ceres/trust_region_strategy.cc
  internal/ceres/types.cc
  internal/ceres/wall_time.cc

  include/ceres/autodiff_cost_function.h
  include/ceres/autodiff_local_parameterization.h
  include/ceres/c_api.h
  include/ceres/ceres.h
  include/ceres/conditioned_cost_function.h
  include/ceres/cost_function.h
  include/ceres/cost_function_to_functor.h
  include/ceres/covariance.h
  include/ceres/crs_matrix.h
  include/ceres/dynamic_autodiff_cost_function.h
  include/ceres/dynamic_cost_function_to_functor.h
  include/ceres/dynamic_numeric_diff_cost_function.h
  include/ceres/fpclassify.h
  include/ceres/gradient_checker.h
  include/ceres/gradient_problem.h
  include/ceres/gradient_problem_solver.h
  include/ceres/internal/autodiff.h
  include/ceres/internal/disable_warnings.h
  include/ceres/internal/eigen.h
  include/ceres/internal/fixed_array.h
  include/ceres/internal/macros.h
  include/ceres/internal/manual_constructor.h
  include/ceres/internal/numeric_diff.h
  include/ceres/internal/port.h
  include/ceres/internal/reenable_warnings.h
  include/ceres/internal/scoped_ptr.h
  include/ceres/internal/variadic_evaluate.h
  include/ceres/iteration_callback.h
  include/ceres/jet.h
  include/ceres/local_parameterization.h
  include/ceres/loss_function.h
  include/ceres/normal_prior.h
  include/ceres/numeric_diff_cost_function.h
  include/ceres/numeric_diff_options.h
  include/ceres/ordered_groups.h
  include/ceres/problem.h
  include/ceres/rotation.h
  include/ceres/sized_cost_function.h
  include/ceres/solver.h
  include/ceres/types.h
  include/ceres/version.h
  internal/ceres/array_utils.h
  internal/ceres/blas.h
  internal/ceres/block_evaluate_preparer.h
  internal/ceres/block_jacobian_writer.h
  internal/ceres/block_jacobi_preconditioner.h
  internal/ceres/block_random_access_dense_matrix.h
  internal/ceres/block_random_access_diagonal_matrix.h
  internal/ceres/block_random_access_matrix.h
  internal/ceres/block_random_access_sparse_matrix.h
  internal/ceres/block_sparse_matrix.h
  internal/ceres/block_structure.h
  internal/ceres/callbacks.h
  internal/ceres/casts.h
  internal/ceres/cgnr_linear_operator.h
  internal/ceres/cgnr_solver.h
  internal/ceres/collections_port.h
  internal/ceres/compressed_col_sparse_matrix_utils.h
  internal/ceres/compressed_row_jacobian_writer.h
  internal/ceres/compressed_row_sparse_matrix.h
  internal/ceres/conjugate_gradients_solver.h
  internal/ceres/coordinate_descent_minimizer.h
  internal/ceres/corrector.h
  internal/ceres/covariance_impl.h
  internal/ceres/cxsparse.h
  internal/ceres/dense_jacobian_writer.h
  internal/ceres/dense_normal_cholesky_solver.h
  internal/ceres/dense_qr_solver.h
  internal/ceres/dense_sparse_matrix.h
  internal/ceres/detect_structure.h
  internal/ceres/dogleg_strategy.h
  internal/ceres/dynamic_compressed_row_finalizer.h
  internal/ceres/dynamic_compressed_row_jacobian_writer.h
  internal/ceres/dynamic_compressed_row_sparse_matrix.h
  internal/ceres/evaluator.h
  internal/ceres/execution_summary.h
  internal/ceres/file.h
  internal/ceres/gradient_checking_cost_function.h
  internal/ceres/gradient_problem_evaluator.h
  internal/ceres/graph_algorithms.h
  internal/ceres/graph.h
  internal/ceres/householder_vector.h
  internal/ceres/implicit_schur_complement.h
  internal/ceres/integral_types.h
  internal/ceres/is_close.h
  internal/ceres/iterative_schur_complement_solver.h
  internal/ceres/lapack.h
  internal/ceres/levenberg_marquardt_strategy.h
  internal/ceres/linear_least_squares_problems.h
  internal/ceres/linear_operator.h
  internal/ceres/linear_solver.h
  internal/ceres/line_search_direction.h
  internal/ceres/line_search.h
  internal/ceres/line_search_minimizer.h
  internal/ceres/line_search_preprocessor.h
  internal/ceres/low_rank_inverse_hessian.h
  internal/ceres/map_util.h
  internal/ceres/minimizer.h
  internal/ceres/mutex.h
  internal/ceres/parameter_block.h
  internal/ceres/parameter_block_ordering.h
  internal/ceres/partitioned_matrix_view.h
  internal/ceres/partitioned_matrix_view_impl.h
  internal/ceres/polynomial.h
  internal/ceres/preconditioner.h
  internal/ceres/preprocessor.h
  internal/ceres/problem_impl.h
  internal/ceres/program_evaluator.h
  internal/ceres/program.h
  internal/ceres/random.h
  internal/ceres/reorder_program.h
  internal/ceres/residual_block.h
  internal/ceres/residual_block_utils.h
  internal/ceres/schur_complement_solver.h
  internal/ceres/schur_eliminator.h
  internal/ceres/schur_eliminator_impl.h
  internal/ceres/schur_jacobi_preconditioner.h
  internal/ceres/scratch_evaluate_preparer.h
  internal/ceres/small_blas.h
  internal/ceres/solver_utils.h
  internal/ceres/sparse_matrix.h
  internal/ceres/sparse_normal_cholesky_solver.h
  internal/ceres/split.h
  internal/ceres/stl_util.h
  internal/ceres/stringprintf.h
  internal/ceres/suitesparse.h
  internal/ceres/triplet_sparse_matrix.h
  internal/ceres/trust_region_minimizer.h
  internal/ceres/trust_region_preprocessor.h
  internal/ceres/trust_region_step_evaluator.h
  internal/ceres/trust_region_strategy.h
  internal/ceres/visibility_based_preconditioner.h
  internal/ceres/wall_time.h
)

set(LIB
  extern_glog
)

if(WITH_LIBMV_SCHUR_SPECIALIZATIONS)
  list(APPEND SRC
    internal/ceres/generated/partitioned_matrix_view_2_2_2.cc
    internal/ceres/generated/partitioned_matrix_view_2_2_3.cc
    internal/ceres/generated/partitioned_matrix_view_2_2_4.cc
    internal/ceres/generated/partitioned_matrix_view_2_2_d.cc
    internal/ceres/generated/partitioned_matrix_view_2_3_3.cc
    internal/ceres/generated/partitioned_matrix_view_2_3_4.cc
    internal/ceres/generated/partitioned_matrix_view_2_3_6.cc
    internal/ceres/generated/partitioned_matrix_view_2_3_9.cc
    internal/ceres/generated/partitioned_matrix_view_2_3_d.cc
    internal/ceres/generated/partitioned_matrix_view_2_4_3.cc
    internal/ceres/generated/partitioned_matrix_view_2_4_4.cc
    internal/ceres/generated/partitioned_matrix_view_2_4_8.cc
    internal/ceres/generated/partitioned_matrix_view_2_4_9.cc
    internal/ceres/generated/partitioned_matrix_view_2_4_d.cc
    internal/ceres/generated/partitioned_matrix_view_2_d_d.cc
    internal/ceres/generated/partitioned_matrix_view_4_4_2.cc
    internal/ceres/generated/partitioned_matrix_view_4_4_3.cc
    internal/ceres/generated/partitioned_matrix_view_4_4_4.cc
    internal/ceres/generated/partitioned_matrix_view_4_4_d.cc
    internal/ceres/generated/schur_eliminator_2_2_2.cc
    internal/ceres/generated/schur_eliminator_2_2_3.cc
    internal/ceres/generated/schur_eliminator_2_2_4.cc
    internal/ceres/generated/schur_eliminator_2_2_d.cc
    internal/ceres/generated/schur_eliminator_2_3_3.cc
    internal/ceres/generated/schur_eliminator_2_3_4.cc
    internal/ceres/generated/schur_eliminator_2_3_6.cc
    internal/ceres/generated/schur_eliminator_2_3_9.cc
    internal/ceres/generated/schur_eliminator_2_3_d.cc
    internal/ceres/generated/schur_eliminator_2_4_3.cc
    internal/ceres/generated/schur_eliminator_2_4_4.cc
    internal/ceres/generated/schur_eliminator_2_4_8.cc
    internal/ceres/generated/schur_eliminator_2_4_9.cc
    internal/ceres/generated/schur_eliminator_2_4_d.cc
    internal/ceres/generated/schur_eliminator_2_d_d.cc
    internal/ceres/generated/schur_eliminator_4_4_2.cc
    internal/ceres/generated/schur_eliminator_4_4_3.cc
    internal/ceres/generated/schur_eliminator_4_4_4.cc
    internal/ceres/generated/schur_eliminator_4_4_d.cc
  )
else()
  add_definitions(-DCERES_RESTRICT_SCHUR_SPECIALIZATION)
endif()

add_definitions(${GFLAGS_DEFINES})

=== extern/glew/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
# ***** END GPL LICENSE BLOCK *****

set(INC
  include
)

set(INC_SYS

)

if(UNIX)
  list(APPEND INC_SYS
    ${X11_X11_INCLUDE_PATH}
  )
endif()

set(SRC
  src/glew.c

  include/GL/eglew.h
  include/GL/glew.h
  include/GL/glxew.h
  include/GL/wglew.h
)

set(LIB
)

add_definitions(${GL_DEFINITIONS})

blender_add_lib(extern_glew "${SRC}" "${INC}" "${INC_SYS}" "${LIB}")

=== extern/lzma/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
# ***** END GPL LICENSE BLOCK *****

set(INC
  .
)

set(INC_SYS

)

set(SRC
  Alloc.c
  LzFind.c
  LzmaDec.c
  LzmaEnc.c
  LzmaLib.c

  Alloc.h
  LzFind.h
  LzHash.h
  LzmaDec.h
  LzmaEnc.h
  LzmaLib.h
  Types.h
)

set(LIB
)

blender_add_lib(extern_lzma "${SRC}" "${INC}" "${INC_SYS}" "${LIB}")

=== intern/iksolver/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
# ***** END GPL LICENSE BLOCK *****

set(INC
  intern
  ../memutil
)

set(INC_SYS
  ${EIGEN3_INCLUDE_DIRS}
)

set(SRC
  intern/IK_QJacobian.cpp
  intern/IK_QJacobianSolver.cpp
  intern/IK_QSegment.cpp
  intern/IK_QTask.cpp
  intern/IK_Solver.cpp

  extern/IK_solver.h
  intern/IK_Math.h
  intern/IK_QJacobian.h
  intern/IK_QJacobianSolver.h
  intern/IK_QSegment.h
  intern/IK_QTask.h
)

set(LIB
)

blender_add_lib(bf_intern_iksolver "${SRC}" "${INC}" "${INC_SYS}" "${LIB}")

=== intern/locale/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2012, Blender Foundation
# All rights reserved.
# ***** END GPL LICENSE BLOCK *****

set(INC
  .
)

set(INC_SYS
)

set(SRC
  boost_locale_wrapper.cpp

  boost_locale_wrapper.h
)

set(LIB
)

if(APPLE)
  # Cocoa code to read the locale on OSX
  list(APPEND SRC
    osx_user_locale.mm
  )
endif()

if(WITH_HEADLESS)
  add_definitions(-DWITH_HEADLESS)
endif()

if(WITH_GHOST_SDL)
  add_definitions(-DWITH_GHOST_SDL)
endif()

if(WITH_INTERNATIONAL)
  list(APPEND INC_SYS
    ${BOOST_INCLUDE_DIR}
  )
  add_definitions(-DWITH_INTERNATIONAL)
  add_definitions(${BOOST_DEFINITIONS})
endif()

blender_add_lib(bf_intern_locale "${SRC}" "${INC}" "${INC_SYS}" "${LIB}")

=== intern/opensubdiv/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2013, Blender Foundation
# All rights reserved.
# ***** END GPL LICENSE BLOCK *****

set(INC
  .
  ../guardedalloc
)

set(INC_SYS
)

set(SRC
  opensubdiv_capi.h
  opensubdiv_capi_type.h
  opensubdiv_converter_capi.h
  opensubdiv_evaluator_capi.h
  opensubdiv_gl_mesh_capi.h
  opensubdiv_topology_refiner_capi.h
)

set(LIB
)

if(WITH_OPENSUBDIV)
  macro(OPENSUBDIV_DEFINE_COMPONENT component)
    if(${${component}})
      add_definitions(-D${component})
    endif()
  endmacro()

  list(APPEND INC_SYS
    ${OPENSUBDIV_INCLUDE_DIR}
    ${GLEW_INCLUDE_PATH}
  )

  list(APPEND SRC
    internal/opensubdiv.cc
    internal/opensubdiv_converter_factory.cc
    internal/opensubdiv_converter_internal.cc
    internal/opensubdiv_converter_orient.cc
    internal/opensubdiv_device_context_cuda.cc
    internal/opensubdiv_device_context_opencl.cc
    internal/opensubdiv_evaluator.cc
    internal/opensubdiv_evaluator_internal.cc
    internal/opensubdiv_gl_mesh.cc
    internal/opensubdiv_gl_mesh_draw.cc
    internal/opensubdiv_gl_mesh_fvar.cc
    internal/opensubdiv_gl_mesh_internal.cc
    internal/opensubdiv_topology_refiner.cc
    internal/opensubdiv_topology_refiner_internal.cc
    internal/opensubdiv_util.cc

    internal/opensubdiv_converter_factory.h
    internal/opensubdiv_converter_internal.h
    internal/opensubdiv_converter_orient.h
    internal/opensubdiv_converter_orient_impl.h
    internal/opensubdiv_device_context_cuda.h
    internal/opensubdiv_device_context_opencl.h
    internal/opensubdiv_edge_map.h
    internal/opensubdiv_evaluator_internal.h
    internal/opensubdiv_gl_mesh_draw.h
    internal/opensubdiv_gl_mesh_fvar.h
    internal/opensubdiv_gl_mesh_internal.h
    internal/opensubdiv_internal.h
    internal/opensubdiv_topology_refiner_internal.h
    internal/opensubdiv_util.h
  )

  OPENSUBDIV_DEFINE_COMPONENT(OPENSUBDIV_HAS_OPENMP)
  # TODO(sergey): OpenCL is not tested and totally unstable atm.
  # OPENSUBDIV_DEFINE_COMPONENT(OPENSUBDIV_HAS_OPENCL)
  # TODO(sergey): CUDA stays disabled for util it's ported to drievr API.
  # OPENSUBDIV_DEFINE_COMPONENT(OPENSUBDIV_HAS_CUDA)
  OPENSUBDIV_DEFINE_COMPONENT(OPENSUBDIV_HAS_GLSL_TRANSFORM_FEEDBACK)
  OPENSUBDIV_DEFINE_COMPONENT(OPENSUBDIV_HAS_GLSL_COMPUTE)

  data_to_c_simple(shader/gpu_shader_opensubdiv_vertex.glsl SRC)
  data_to_c_simple(shader/gpu_shader_opensubdiv_geometry.glsl SRC)
  data_to_c_simple(shader/gpu_shader_opensubdiv_fragment.glsl SRC)

  add_definitions(-DGLEW_STATIC)

  if(WIN32)
    add_definitions(-DNOMINMAX)
    add_definitions(-D_USE_MATH_DEFINES)
  endif()

  # TODO(sergey): Put CUEW back when CUDA is officially supported by OSD.
  #if(OPENSUBDIV_HAS_CUDA)
  #   list(APPEND INC
  #       ../../extern/cuew/include
  #   )
  #   add_definitions(-DOPENSUBDIV_HAS_CUEW)
  #endif()

  if(OPENSUBDIV_HAS_OPENCL)
    list(APPEND INC
      ../../extern/clew/include
    )
    add_definitions(-DOPENSUBDIV_HAS_CLEW)
  endif()
else()
  list(APPEND SRC
    stub/opensubdiv_stub.cc
    stub/opensubdiv_evaluator_stub.cc
    stub/opensubdiv_gl_mesh_stub.cc
    stub/opensubdiv_topology_refiner_stub.cc
  )
endif()

blender_add_lib(bf_intern_opensubdiv "${SRC}" "${INC}" "${INC_SYS}" "${LIB}")

=== intern/openvdb/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2015, Blender Foundation
# All rights reserved.
# ***** END GPL LICENSE BLOCK *****

set(INC
  .
  intern
)

set(INC_SYS
)

set(SRC
  openvdb_capi.h
)

set(LIB
)

if(WITH_OPENVDB)
  add_definitions(
    -DWITH_OPENVDB
    ${OPENVDB_DEFINITIONS}
  )

  if(WITH_OPENVDB_3_ABI_COMPATIBLE)
    add_definitions(
      -DOPENVDB_3_ABI_COMPATIBLE
    )
  endif()

  list(APPEND INC_SYS
    ${BOOST_INCLUDE_DIR}
    ${TBB_INCLUDE_DIRS}
    ${OPENEXR_INCLUDE_DIRS}
    ${OPENVDB_INCLUDE_DIRS}
  )

  list(APPEND SRC
    intern/openvdb_dense_convert.cc
    intern/openvdb_reader.cc
    intern/openvdb_writer.cc
    openvdb_capi.cc
    openvdb_util.cc

    intern/openvdb_dense_convert.h
    intern/openvdb_reader.h
    intern/openvdb_writer.h
    openvdb_util.h
  )

  if(WITH_OPENVDB_BLOSC)
    add_definitions(
      -DWITH_OPENVDB_BLOSC
    )
  endif()
endif()

blender_add_lib(bf_intern_openvdb "${SRC}" "${INC}" "${INC_SYS}" "${LIB}")

=== intern/rigidbody/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
# ***** END GPL LICENSE BLOCK *****

set(INC
  .
)

set(INC_SYS
  ${BULLET_INCLUDE_DIRS}
)

set(SRC
  rb_bullet_api.cpp

  RBI_api.h
)

set(LIB
)

blender_add_lib(bf_intern_rigidbody "${SRC}" "${INC}" "${INC_SYS}" "${LIB}")

=== debian/changelog ===
blender (2.80+dfsg-3) unstable; urgency=medium

  * Upload to unstable (Closes: #925645)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 26 Aug 2019 22:46:07 +0200

blender (2.80+dfsg-2) experimental; urgency=medium

  * debian/patches/: patchset updated
    - 0005-fix_ftbfs_on_i386.patch added
    - 0006-add_ppc64el-s390x_support.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 05 Aug 2019 20:33:28 +0200

blender (2.80+dfsg-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.0

  [ Matteo F. Vescovi ]
  * New upstream release
    - debian/patches/: patchset rebased against v2.80
  * debian/:
    - repacking reloaded
    - drop old useless stuff
  * debian/control:
    - add python3-numpy to build-depends
    - debhelper bumped to v12
  * debian/rules:
    - drop dh_strip overriding
    - use system-wide GLEW library
    - drop now-useless removal entries
  * debian/copyright: unused license entries dropped
  * debian/watch: add xz compression on repacking

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 01 Aug 2019 00:55:44 +0200

blender (2.79.b+dfsg0-7) unstable; urgency=medium

  * debian/patches/0007-fix_OpenJPEG2_build.patch:
    fix disruptive change (Closes: #927809)

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 23 Apr 2019 21:43:18 +0200

blender (2.79.b+dfsg0-6) unstable; urgency=medium

  * debian/patches/: patchset updated
    - 0011-adapt_build_against_OIIO2.patch added
  * debian/control:
    - force OIIO b-dep to at least v2.0.0
    - S-V bump 4.2.1 -> 4.3.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 01 Jan 2019 22:04:18 +0100

blender (2.79.b+dfsg0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field

  [ Matteo F. Vescovi ]
  * debian/patches/: patchset updated
    - 0010-fix_PyRNA_with_Python3.7.patch added (Closes: #915143)
  * debian/control: S-V bump 4.1.5 -> 4.2.1 (no changes needed)
  * debian/rules: drop useless get-orig-source target

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 02 Dec 2018 22:33:26 +0100

blender (2.79.b+dfsg0-4) unstable; urgency=medium

  * debian/patches/: patchset updated
    - 0009-fix_gcc-8_ftbfs.patch updated (Closes: #904153)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 21 Jul 2018 21:33:45 +0200

blender (2.79.b+dfsg0-3) unstable; urgency=medium

  * debian/patches/: patchset updated
    - #0001 -> #0006 refreshed
    - 0009-fix_gcc-8_ftbfs.patch added (Closes: #897713)
  * debian/control: S-V bump 4.1.3 -> 4.1.5 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 19 Jul 2018 14:25:31 +0200

blender (2.79.b+dfsg0-2) unstable; urgency=medium

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Matteo F. Vescovi ]
  * debian/patches/: patchset updated (Closes: #888350)
    - 0008-fix_building_with_latest_versions_of_FFmpeg.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 15 Jun 2018 22:34:18 +0200

=== debian/control ===
Source: blender
Section: graphics
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               gettext,
               libalut-dev,
               libavcodec-dev (>> 6:10),
               libavdevice-dev,
               libavformat-dev,
               libavfilter-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-iostreams-dev,
               libboost-locale-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libfftw3-dev,
               libfontconfig-dev,
               libgettextpo-dev,
               libglew-dev,
               libgsm1-dev,
               libilmbase-dev (>= 2.2.0),
               libjack-dev,
               libjemalloc-dev [!hurd-i386],
               libjpeg-dev,
               liblzma-dev,
               liblzo2-dev,
               libopenal-dev,
               libopencolorio-dev [!hurd-i386],
               libopenexr-dev (>= 2.2.0),
               libopenimageio-dev (>= 2.0.0),
               libopenjp2-7-dev,
               libopenvdb-dev [amd64 i386],
               libpng-dev,
               libsdl-dev,
               libsndfile-dev,
               libspnav-dev,
               libswscale-dev,
               libtbb-dev [amd64 i386],
               libtiff-dev,
               libvorbis-dev,
               libxi-dev,
               libz-dev,
               opencollada-dev [linux-any],
               pkg-config,
               python3-dev,
               python3-numpy,
               python3-requests
Build-Conflicts: nvidia-glx
Standards-Version: 4.4.0
Homepage: http://www.blender.org/
Vcs-Git: https://salsa.debian.org/multimedia-team/blender.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/blender

Package: blender
Architecture: any
Depends: blender-data (= ${source:Version}),
         fonts-dejavu,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Very fast and versatile 3D modeller/renderer
 Blender is an integrated 3d suite for modelling, animation, rendering,
 post-production, interactive creation and playback (games). Blender has its
 own particular user interface, which is implemented entirely in OpenGL and
 designed with speed in mind. Python bindings are available for scripting;
 import/export features for popular file formats like 3D Studio and Wavefront
 Obj are implemented as scripts by the community. Stills, animations, models
 for games or other third party engines and interactive content in the form of
 a standalone binary are common products of Blender use.

Package: blender-data
Architecture: all
Depends: python3,
         ${misc:Depends},
         ${python3:Depends}
Replaces: blender (<< 2.67b-1~)
Description: Very fast and versatile 3D modeller/renderer - data package
 Blender is an integrated 3d suite for modelling, animation, rendering,
 post-production, interactive creation and playback (games). Blender has its
 own particular user interface, which is implemented entirely in OpenGL and
 designed with speed in mind. Python bindings are available for scripting;
 import/export features for popular file formats like 3D Studio and Wavefront
 Obj are implemented as scripts by the community. Stills, animations, models
 for games or other third party engines and interactive content in the form of
 a standalone binary are common products of Blender use.
 .
 This package contains documentation, libraries and images for blender.

=== debian/rules ===
#!/usr/bin/make -f

INSTDIR = debian/tmp
PY3VERS = $(shell py3versions -dv)

ifeq ($(DEB_HOST_ARCH),i386)
	SETSSE = OFF
else
	SETSSE = ON
endif

ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
	SETVDB = ON
else
	SETVDB = OFF
endif

ifeq ($(DEB_HOST_ARCH),mipsel)
	SETCOLLADA = OFF
else
	SETCOLLADA = ON
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_SKIP_RPATH=ON \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DFREETYPE_INCLUDE_DIRS="/usr/include/freetype2" \
		-DPYTHON_VERSION=$(PY3VERS) \
		-DWITH_CODEC_FFMPEG=ON \
		-DWITH_CODEC_SNDFILE=ON \
		-DWITH_CPU_SSE=$(SETSSE) \
		-DWITH_CYCLES=ON \
		-DWITH_DOC_MANPAGE=ON \
		-DWITH_FFTW3=ON \
		-DWITH_GAMEENGINE=ON \
		-DWITH_IMAGE_OPENJPEG=ON \
		-DWITH_INPUT_NDOF=ON \
		-DWITH_INSTALL_PORTABLE=OFF \
		-DWITH_JACK=ON \
		-DWITH_MOD_OCEANSIM=ON \
		-DWITH_OPENCOLLADA=$(SETCOLLADA) \
		-DWITH_OPENCOLORIO=ON \
		-DWITH_OPENVDB=$(SETVDB) \
		-DWITH_PLAYER=ON \
		-DWITH_PYTHON_INSTALL=OFF \
		-DWITH_SYSTEM_GLEW=ON \
		-DWITH_SYSTEM_OPENJPEG=ON

override_dh_auto_install:
	dh_auto_install --buildsystem=cmake
	find $(INSTDIR)/usr/share/blender/ -type d -empty -delete

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:

%:
	dh $@ --buildsystem=cmake --with python3

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg.*//, \
repack, \
repacksuffix=+dfsg, \
compression=xz" \
https://download.blender.org/source/blender-(.+)\.tar\.gz
